$LastChangedDate: 27-Juil-2011 $

# CL_vectAngle

Angle between vectors

## Calling Sequence

       [angle] = CL_vectAngle(u,v)

## Description

- Computes the angle between two vectors.

  The angle is between 0 and %pi (included). If one of the 2 vectors is a null vector, the angle is 0.

## Parameters

u:

  Vector or matrix (considered as a set of column vectors) (3x1 or 3xN)

v:

  Vector or matrix or matrix (considered as a set of column vectors) (3x1 or 3xN)

angle:

  Angle between u and v (1xN)

## Authors

- CNES - DCT/SB

## See also

- CL_cross

- CL_dot

- CL_norm

## Examples

    // u and v : set of column vectors
    u = [[1;0;0],[1;0;0],[0;0;0]];
    v = [[0;1;0],[1;0;0.001],[1;0;0]];
    CL_vectAngle(u,v) * 180/%pi

    // u: set of column vectors, v : one column vector
    u = [[1;0;0],[1;0;0],[0;1;0.001]];
    v = [0;1;0];
    CL_vectAngle(u,v) * 180/%pi